#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=bibtexparser
export PYBUILD_BEFORE_TEST=cp -r {dir}/bibtexparser {build_dir};cd {build_dir};
export PYBUILD_BEFORE_TEST_python3=cp -r {dir}/bibtexparser {build_dir}; \
 cd {build_dir};
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/bibtexparser/tests
export PYBUILD_AFTER_TEST_python3=rm -rf {build_dir}/bibtexparser/tests
export PYBUILD_TEST_ARGS={build_dir}/bibtexparser/tests/
export LC_ALL=C.UTF-8

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	cd $(CURDIR)/docs && make html

override_dh_installdocs:
	dh_installdocs -ppython-bibtexparser-doc docs/build/html
	dh_installdocs -A
